#ifndef TABLEDATA_H
#define TABLEDATA_H

#include "global.h"
#include "Row.h"
#include <vector>
using namespace std;

/**
* This class represents the data in a Table.  
* 
* TableData consists of list of 'Row' objects. 
*
*/
//Date created - 03 May 2002
class TableData {

	public:
		/**
		* Default Constructor
		*/
		TableData();

		/**
		* Destructor
		*/
		~TableData();

		//TableData(Row rows[], int numOfRows);
		int setRows(vector<Row> rowList, int *status);

		/**
		* Gets total number of rows.
		*/
		int getNumOfRows(int  &nrows, int *status);

		/**
		* Gets the 'Row', given the index.
		* Index starts at 0.
		*/
		int getRow(Row &row, int index, int *status);		

		// called internally
		void cleanup();
	
	private: 
		vector<Row> m_rowList;


};

#endif